> ## Documentation Index
> Fetch the complete documentation index at: https://docs.payvessel.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Products

> Fetch all available products for a gift card operator



## OpenAPI

````yaml api-reference/vaas-services-openapi.json GET /vaas/api/v1/gift-cards/operators/{operator_id}/products
openapi: 3.1.0
info:
  title: PayVessel Value-Added Services API
  description: >-
    API reference for PayVessel biller reseller, eSIM, gift card, and flight
    services.
  version: 1.0.0
servers:
  - url: https://api.payvessel.com
  - url: https://sandbox.payvessel.com
security:
  - apiKey: []
    apiSecret: []
paths:
  /vaas/api/v1/gift-cards/operators/{operator_id}/products:
    get:
      tags:
        - Gift Cards
        - Gift Cards
      summary: List Products by Operator
      description: Fetch all available products for a given gift card operator ID
      operationId: >-
        list_products_vaas_api_v1_gift_cards_operators__operator_id__products_get
      parameters:
        - name: operator_id
          in: path
          required: true
          schema:
            type: string
            maxLength: 128
            title: Operator Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListProductsResponseSchema'
        '404':
          description: Operator not found
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
        '424':
          description: Unable to reach upstream service
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                properties:
                  status:
                    type: boolean
                    example: false
                  message:
                    type: string
                    example: Error message
                  data:
                    type: object
                    nullable: true
                  timestamp:
                    type: string
                    format: date-time
                    example: '2026-06-25T12:00:00+00:00'
                type: object
components:
  schemas:
    ListProductsResponseSchema:
      properties:
        status:
          type: boolean
          title: Status
        message:
          type: string
          title: Message
        data:
          additionalProperties:
            $ref: '#/components/schemas/ProductSchema'
          type: object
          title: Data
      type: object
      required:
        - status
        - message
        - data
      title: ListProductsResponseSchema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ProductSchema:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
        price_type:
          anyOf:
            - type: string
            - type: 'null'
          title: Price Type
        usd:
          anyOf:
            - type: number
            - type: 'null'
          title: Usd
        ngn:
          anyOf:
            - type: number
            - type: 'null'
          title: Ngn
        exchange_rate:
          anyOf:
            - type: number
            - type: 'null'
          title: Exchange Rate
        operator_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Operator Id
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
        image:
          anyOf:
            - type: string
            - type: 'null'
          title: Image
      type: object
      required:
        - id
        - name
      title: ProductSchema
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: api-key
      description: Your PayVessel business API key.
    apiSecret:
      type: apiKey
      in: header
      name: api-secret
      description: Your PayVessel business API secret.

````